<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="STOR" 
Name="POST" 
Description="Материально ответственное лицо" 
PrimaryKey="PostID" 
DNAttributes="{FatherName};{LastName};{FirstName}" 
DisplayName="{1} {2} {0}">
  <Fields>
    <Attribute Name="PostID" Index="5010001" Type="guid" Description="Идентификатор" />
    <Attribute Name="DateBegin" Index="5010003" Type="date" Description="Дата приема на работу" Required="1" />
    <Attribute Name="DateEnd" Index="5010004" Type="date" Description="Дата увольнения" />
    <Attribute Name="FirstName" Index="5000002" Type="string" Description="Имя" CharacterMaximumLength="32" Required="1" />
    <Attribute Name="LastName" Index="5000003" Type="string" Description="Фамилия" CharacterMaximumLength="32" Required="1" />
    <Attribute Name="FatherName" Index="5000004" Type="string" Description="Отчество" CharacterMaximumLength="32" Required="1" />
    <Attribute Name="Snils" Type="string" Description="Снилс" CharacterMaximumLength="14" />
    <Attribute Name="FIo" Type="string" Description="ФИО" />
  </Fields>
  <DbMapping>
    <Table name="T_POST">
      <Map Name="PostID" Column="PostID" />
      <Map Name="DateBegin" Column="DateBegin" />
      <Map Name="DateEnd" Column="DateEnd" />
      <Map Name="FirstName" Column="FirstName" />
      <Map Name="LastName" Column="LastName" />
      <Map Name="FatherName" Column="FatherName" />
      <Map Name="Snils" Column="Snils" />
    </Table>
    <Lexem>
      <Map Name="FIo">
        <lx:MathOperator sign="+" xmlns:lx="lexem">
          <lx:MathOperator sign="+">
            <lx:MathOperator sign="+">
              <lx:MathOperator sign="+">
                <lx:Path OwnerQueryLevel="0">
                  <lx:StepString name="LastName" />
                </lx:Path>
                <lx:ConstOperand type="String"><![CDATA[ ]]></lx:ConstOperand>
              </lx:MathOperator>
              <lx:Path OwnerQueryLevel="0">
                <lx:StepString name="FirstName" />
              </lx:Path>
            </lx:MathOperator>
            <lx:ConstOperand type="String"><![CDATA[ ]]></lx:ConstOperand>
          </lx:MathOperator>
          <lx:IsNull>
            <lx:Path OwnerQueryLevel="0">
              <lx:StepString name="FatherName" />
            </lx:Path>
            <lx:ConstOperand type="String"><![CDATA[]]></lx:ConstOperand>
          </lx:IsNull>
        </lx:MathOperator>
      </Map>
    </Lexem>
  </DbMapping>
</Entity>